Bug 1876692 - site-docker.yml playbook does not manage to login registry.redhat.io from behind a http proxy
Summary: site-docker.yml playbook does not manage to login registry.redhat.io from beh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2
Assignee: Dimitri Savineau
QA Contact: Sunil Angadi
Ranjini M N
URL:
Whiteboard:
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2020-09-08 01:18 UTC by csharpe
Modified: 2021-06-09 16:16 UTC (History)
12 users (show)

Fixed In Version: ceph-ansible-4.0.33-1.el8cp, ceph-ansible-4.0.33-1.el7cp
Doc Type: Enhancement
Doc Text:
.Set `ceph_docker_http_proxy` and `ceph_docker_https_proxy` to resolve proxy issues with container registry behind a HTTP(s) proxy Previously, the environment variables defined in the `/etc/profile.d` directory were not loaded resulting in failure of login and pull registry operations. With this update, by setting the environment variables `ceph_docker_http_proxy` and/or `ceph_docker_https_proxy`, the container registry behind a HTTP(s) proxy works as expected.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:57:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 5786 0 None closed container: add optional http(s) proxy option 2021-02-15 08:36:46 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:57:34 UTC

Comment 11 errata-xmlrpc 2021-01-12 14:57:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.